import { optimizelyUserId } from '@s-ui/segment-wrapper/lib/middlewares/source/optimizelyUserId';
import { optimizelySiteAttributeMiddleware as optimizelySiteAttribute } from '@s-ui/segment-wrapper/lib/middlewares/destination/optimizelySiteAttribute';
import loadSegmentWrapperConfig from './segmentWrapper';
import { loadSegmentMiddlewares } from './loadMiddlewares';
export var entryPoint = function entryPoint(_temp) {
  var _ref = _temp === void 0 ? {} : _temp,
      host = _ref.host,
      _ref$optimizelyUserId = _ref.optimizelyUserIdMiddleware,
      optimizelyUserIdMiddleware = _ref$optimizelyUserId === void 0 ? optimizelyUserId : _ref$optimizelyUserId,
      _ref$optimizelySiteAt = _ref.optimizelySiteAttributeMiddleware,
      optimizelySiteAttributeMiddleware = _ref$optimizelySiteAt === void 0 ? optimizelySiteAttribute : _ref$optimizelySiteAt;

  loadSegmentWrapperConfig({
    host: host
  });
  loadSegmentMiddlewares({
    optimizelySiteAttributeMiddleware: optimizelySiteAttributeMiddleware,
    optimizelyUserIdMiddleware: optimizelyUserIdMiddleware
  });
};

if (process.env.NODE_ENV !== 'test') {
  entryPoint();
}